Bug 28760 - Does not show directories in folders without files in them, and often does not show even with files
Does not show directories in folders without files in them, and often does no...
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-02-21 21:19 EST by Jusitn Davis
Modified: 2007-03-26 23:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-22 20:31:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jusitn Davis 2001-02-21 21:19:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22 i686)

doing an ls does not list directories correctly.  A source patch has been
available for some time now and is available at the url given (The url to
the fix should be good indication of the problem).  This is in version
6.6.1-6 which is the version in RH 7 

Reproducible: Always
Steps to Reproduce:
1.ftp to localhost (or anything running this)
2. Login
3. Issue an ls command

Actual Results:  Either No files if no files were there, or listed the
files but no directories.	

Expected Results:  Uh....duh...list everything without having to do an ls
-l command to make the directories appear

Uh....none required...this is a bug, which has even been acknowledged by
the authors, and a fixed RPM should be distributed via the RHN up2date
Comment 1 Bernhard Rosenkraenzer 2001-03-06 09:45:24 EST
No, it isn't.
The patch just adds an option to emulate the broken behavior from older 
See item 11.26 of the wu-ftpd FAQ (http://www.wu-ftpd.org/wu-ftpd-faq.html).

We're not going to enable broken behavior by default.

Note You need to log in before you can comment on or make changes to this bug.